3 Replies Latest reply on Nov 18, 2012 7:47 PM by Artem Taturevych

    How do you get the current scene of a part or assembly?

    Steven Pybus

      When you record a macro of selecting a scene it tells you how to set it but I can't determine how to read what the current scene is.


      Here's the important stuff....


      Dim swApp As Object

      Dim Part As ModelDoc2

      Dim boolstatus As Boolean

      Dim longstatus As Long, longwarnings As Long


      Sub main()

      Set Part = swApp.OpenDoc6("test.sldasm", 2, 0, "", longstatus, longwarnings)

      boolstatus = Part.Extension.InsertScene("\scenes\01 basic scenes\00 3 point faded.p2s")

      boolstatus = Part.EditRebuild3()


      Set Part = Nothing

      swApp.CloseDoc AsmFile

      End Sub


      What I would like to know is how to read the current scene of the open assembly.   And the engineer in me wants to know why I can't figure this out on my own.  Ugh.


      Thanks for any help you can provide.


      -Steve P.